ACTION_CONNECT = "connect";
ACTION_LISTCAS = "listcas";
ACTION_DETALL = "detailscas_all";
ACTION_DETDIAGNOSTIQUE = "detailcas_diagnostique";
ACTION_SENDNEWCAS = "sendnewcas";
ACTION_LISTFACT = "list_factures";
ACTION_VIEWFACT = "view_facture";

// Envoi le devis
function sendDevis()
{
	var str = "";
	str += "raisonsociale:"+$('#devis_raisonsocial').val() +";;";
	str += "adresse:"+$('#devis_adresse').val() +";;";
	str += "npaville:"+$('#devis_npaville').val() +";;";
	str += "email:"+$('#devis_email').val() +";;";
	str += "telephone:"+$('#devis_telephone').val() +";;";
	str += "numserie:"+$('#devis_numserie').val() +";;";
	str += "typesupp:"+$('#devis_typesupport option:selected').val() +";;";
	str += "typeprobleme:"+$('#devis_typeprobleme option:selected').val() +";;";
	str += "marque:"+$('#devis_marque option:selected').val() +";;";
	str += "capacite:"+$('#devis_capacite option:selected').val() +";;";

	var url = genRequestURL(ACTION_SENDNEWCAS,str);
	 $.ajax({
   		url:url,
	     dataType: 'jsonp',
	     jsonpCallback: 'jsonCallback',
	     contentType: "application/json",
	     complete: function(){
            //unwaitMessage();
        },
	     success:function(json){
					if (json.resultat.result == "erreur")
					{
						$('#erreurDevis').show();
					}
					else
					{
						$.mobile.changePage( $("#onSuccDevis"), {transition: "slidedown",reverse: false,});
					}
	     },
	     error:function(){
	         //alert("Error");
	     },
	});
}

// Rcupration des variables GET
function getUrlVars()
{
    var vars = [], hash;
    var hashes = location.search.substring(1).split('&');
    for(var i = 0; i < hashes.length; i++)
    {
       hash = hashes[i].split('=');
       vars[hash[0]] = hash[1];
    }
    return vars;
}

// Rcupration des variables dans GET avec un #
function getHasValue()
{
	if (window.location.hash)
		return window.location.hash.substring(1,window.location.hash.length);
	return "";
}

// Rcupration du fichier actuel
function getUrlFileName()
{
	var url = window.location.pathname;
	var filename = url.substring(url.lastIndexOf('/')+1);
	return filename;
}

function getUrlFileNameWithoutExt()
{
	return getUrlFileName().replace('.html','');
}

// Gnrateur de requete
function genRequestURLComplete(aAction,aUser,aPassword,aParam)
{
	return "http://extranet.sos-data-recovery.ch/android.aspx?action="+aAction+"&user="+aUser+"&password="+aPassword+"&param="+aParam;
}

// Gnrateur de requete
function genRequestURL(aAction,aParam)
{
	return "http://extranet.sos-data-recovery.ch/android.aspx?action="+aAction+"&user="+getUser()+"&password="+getPassword()+"&param="+aParam;
}

// Enregistre les variable de sessions
function saveConnection(aUser,aPassword,aNbcas,aLastcas)
{
	localStorage.setItem("user",aUser);
	localStorage.setItem("password",aPassword);
	
	sessionStorage.setItem("nbcas",aNbcas);
	sessionStorage.setItem("lastcas",aLastcas);
	sessionStorage.setItem("connected",'1');
}

// Enregistre les cookies
function saveParamDevice(aLangue,aTelephone,aType,aCrountry)
{
	sessionStorage.setItem("langue",aLangue);
	sessionStorage.setItem("istelephone",aTelephone);
	sessionStorage.setItem("type",aType);
	sessionStorage.setItem("country",aCrountry);
}

function printAvertissement()
{
	if (getSessionDeclare('viewavert')=='')
	{
		if (getLocalDeclare('nbviewavert')=='' || getLocalDeclare('nbviewavert')== '1')
		{
			if (getLocalDeclare('nbviewavert')=='')
				localStorage.setItem("nbviewavert",'1');
			else
				localStorage.setItem("nbviewavert",'2');
				
			sessionStorage.setItem("viewavert",'true');
			return true;
		}
	}

	return false;
}

function saveIDCas(aIDCas)
{
	sessionStorage.setItem("idcas",aIDCas);
}

function clearConnection()
{
	localStorage.removeItem("user");
	localStorage.removeItem("password");
	
	sessionStorage.removeItem("connected");
}

// Rcupre un cookie
function getSessionDeclare(aParam)
{
	if (sessionStorage.getItem(aParam) == null  || sessionStorage.getItem(aParam) == undefined || sessionStorage.getItem(aParam) == 'undefined')
		return "";
	else if (sessionStorage.getItem(aParam) == "")
		return "";
	else
		return sessionStorage.getItem(aParam);
}

function getLocalDeclare(aParam)
{
	if (localStorage.getItem(aParam) == null  || localStorage.getItem(aParam) == undefined || localStorage.getItem(aParam) == 'undefined')
		return "";
	else if (localStorage.getItem(aParam) == "")
		return "";
	else
		return localStorage.getItem(aParam);
}

function getIdCas()
{
		return getSessionDeclare('idcas');
}

function getCountry()
{
		return getSessionDeclare('country');
}

function getlangue()
{
	return getSessionDeclare('langue');
}

function getIsTelephone()
{
	if (getSessionDeclare('istelephone') == '1')
		return true;
	return false;
}

function getTypeDevice()
{
		return getSessionDeclare('type');
}

function getUser()
{
		return getLocalDeclare('user');
}

function getPassword()
{
		return getLocalDeclare('password');
}

function getConnected()
{
	if (getSessionDeclare('connected') == '1')
		return true;
	return false;
}

function getNbCas()
{
		return getSessionDeclare('nbcas');
}

function getLastCas()
{
		return getSessionDeclare('lastcas');
}

function dump(arr,level) {
	var dumped_text = "";
	if(!level) level = 0;
	
	//The padding given at the beginning of the line.
	var level_padding = "";
	for(var j=0;j<level+1;j++) level_padding += "    ";
	
	if(typeof(arr) == 'object') { //Array/Hashes/Objects 
		for(var item in arr) {
			var value = arr[item];
			
			if(typeof(value) == 'object') { //If it is an array,
				dumped_text += level_padding + "'" + item + "' ...\n";
				dumped_text += dump(value,level+1);
			} else {
				dumped_text += level_padding + "'" + item + "' => \"" + value + "\"\n";
			}
		}
	} else { //Stings/Chars/Numbers etc.
		dumped_text = "===>"+arr+"<===("+typeof(arr)+")";
	}
	alert (dumped_text);
}