// ************************
// PAGE : pageDevis
$('#pageDevis').live('pageinit', function() {
	$('#erreurDevis').hide();
	$('#btValiderDevis').bind('tap',function(event, ui){
	 //waitMessage();
	 sendDevis();
	});
	
	//unwaitMessage();
});	

// ************************
// PAGE : pageMenu
$('#pageMenu').live('pageinit', function() {
		
		loadMenu();

		if (printAvertissement())
		{
			$.mobile.changePage($("#dialogMoreInfo"), {reverse: false,});
		}
});

// ************************
// PAGE : pageMenu
/*
$('#dialogMoreInfo').live('pageinit', function() {
		alert('a');
		//unwaitMessage();
		
		$('#btCloseMoreInfo').bind('tap',function(event, ui){
			history.go(-2);
			loadMenu();
		});
});
*/

  
// ************************
// PAGE : pageLogin
$('#pageLogin').live('pageinit', function() {
	$('#erreurLogin').hide();
	
	$('#btSubmitLogin').bind('tap',function(event, ui){
		//waitMessage(); 
			var url = genRequestURLComplete(ACTION_CONNECT,$("#login_user").val(),$('#login_password').val(),'');
			waitMessage();
			$.ajax({
     		url:url,
		     dataType: 'jsonp',
		     jsonpCallback: 'jsonCallback',
		     contentType: "application/json",
		     complete: function(){
	            unwaitMessage();
          },
		     success:function(json){
						if (json.resultat.result == "erreur")
						{
							$('#erreurLogin').show();
						}
						else
						{
							saveConnection($("#login_user").val(),$('#login_password').val(),json.resultat.nbcas,json.resultat.lastcas);
							$(document).ajaxStart($.blockUI).ajaxStop($.unblockUI);
							$.mobile.changePage( $('#onSuccLogin'), {transition: "slideup",reverse: false,});
						}
		     },
		     error:function(){
		         //alert("Error");
		     },
		});

	});
	
	unwaitMessage();
});

// ************************
// PAGE : pageLogin
$('#onSuccLogin').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageApropos
$('#pageApropos').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageContact
$('#pageContact').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailSupport
$('#pageDetailSupport').live('pageinit', function() {

	if (getConnected()) // Connect
	{
		openAll();
		openAnalyse();
	}
	
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailProbleme
$('#pageDetailProbleme').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailAnalyse
$('#pageDetailAnalyse').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailCopie
$('#pageDetailCopie').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailPhoto
$('#pageDetailPhoto').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : pageDetailStatut
$('#pageDetailStatut').live('pageinit', function() {
	$('#listStatut').listview('refresh');
	//unwaitMessage();
});

// ************************
// PAGE : imgDetailShowPhoto
$('#imgDetailShowPhoto').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : onErrChargement
$('#onErrChargement').live('pageinit', function() {
	//unwaitMessage();
});

// ************************
// PAGE : onSuccDevis
$('#onSuccDevis').live('pageinit', function() {
	$('#btRetoursMenuDevis').bind('tap',function(event, ui){
		history.go(-2);
		loadMenu();
		////unwaitMessage();
	});
	
	//unwaitMessage();
});	

// ************************
// PAGE : onSuccLogin
$('#onSuccLogin').live('pageinit', function() {
	
	//unwaitMessage();
	
	$('#btOpenCasLogin').bind('tap',function(event, ui){
		if (getNbCas() == 1)
		{
			saveIDCas(getLastCas());
			$.mobile.changePage($("#pageDetailSupport"), {reverse: false,});
		}
	 else
	 	$.mobile.changePage( $('#pageListCas'), {transition: "slidedown",reverse: false,});
	});
	
	$('#btOpenFactLogin').bind('tap',function(event, ui){
			$.mobile.changePage($('#pageListFact'), {transition: "slidedown",reverse: false,});
	});
	
	$('#btRetoursMenuLogin').bind('tap',function(event, ui){
		history.go(-2);
		loadMenu();
	});
});

// ************************
// PAGE : pageListFact
$('#pageListFact').live('pageinit', function() {
		$('#listFacture').empty();
		
		if (getConnected()) 
		{
			//waitMessage(); 
			var url = genRequestURL(ACTION_LISTFACT,'');
			waitMessage();
			$.ajax({
     		url:url,
		     dataType: 'jsonp',
		     jsonpCallback: 'jsonCallback',
		     contentType: "application/json",
		     complete: function(){
	            unwaitMessage();
          },
		     success:function(json){
		         if (json.resultat.result == "erreur")
							{
								$.mobile.changePage( $("#onErrChargement"), {transition: "pop",role: "dialog",reverse: false,});
							}
							else if (json.resultat.result == "nofactures")
							{
								$('div.PasFactures').show();
								$('div.Factures').hide();
							}
							else
							{
								$('div.gallerycontentPasResult').hide();
								$('div.Factures').show();
									$.each(json.resultat.allfactures, function() {
			                  var id = this.id;
			                  var date = this.date;
			                  $("#listFacture").append('<li><a href="'+genRequestURL(ACTION_VIEWFACT,id)+'" target="_blank" data-ajax="false">N '+id+' - ' +date+'</a></li>');
			            });
			            $('#listFacture').listview('refresh');
			        }
		     },
		     error:function(){
		         //alert("Error");
		     },
		});
		}
		
		unwaitMessage();
	});

// ************************
// PAGE : pageListCas
$('#pageListCas').live('pageinit', function() {
	$('#listCas').empty();

	if (getConnected()) 
	{
		//waitMessage(); 
		var url = genRequestURL(ACTION_LISTCAS,'');
		waitMessage();
		$.ajax({
     		url:url,
		     dataType: 'jsonp',
		     jsonpCallback: 'jsonCallback',
		     contentType: "application/json",
		     complete: function(){
	            unwaitMessage();
          },
		     success:function(json){
		        if (json.resultat.result == "erreur")
						{
							$.mobile.changePage( $("#onErrChargement"), {transition: "pop",role: "dialog",reverse: false,});
						}
						else
						{
							$.each(json.resultat.allref, function() {
		                  var ref = this.ref;
		                  var descr = this.descr;
		                  $("#listCas").append('<li><a href="#" onClick="saveIDCas(\''+ref+'\');$.mobile.changePage($(\'#pageDetailSupport\'), {reverse: false,});" data-ajax="false">'+ref+' ' + descr+'</a></li>');
		            });
		            $('#listCas').listview('refresh');
		        }
		        
		     },
		     error:function(){
		         //alert("Error");
		     },
		});

	}
	
unwaitMessage();
});
			
// ************************
// PAGE : show photo
$('#imgDetailShowPhoto').live('pageinit', function() {
		$('#btNextPhoto').bind('tap',function(event, ui){
	    goNextPhoto();
	});
	 
	$('#imgDetailShowPhoto').bind('swipeleft',function(event, ui){
	    goNextPhoto();
	});
	 
	$('#btPrevPhoto').bind('tap',function(event, ui){
	    goPrevPhoto();
	});
	 
	$('#imgDetailShowPhoto').bind('swiperight',function(event, ui){
	    goPrevPhoto();
	});
});

// ************************
// BOUTON : a.btRefresh
$('a.btRefresh').live('tap',function(event, ui){
 	if (getConnected()) // Connect
	{
		openAll();
		openAnalyse();
	}
});
	
// ************************
// FUNCTION : waitMessage
function waitMessage()
{
	if (getlangue()=='fr')
		$.blockUI({ message: '<img src="images/busy.gif" /> Veuillez patienter...' });
	else if (getlangue()=='de')
		$.blockUI({ message: '<img src="images/busy.gif" /> Bitte warten...' });
	else
		$.blockUI({ message: '<img src="images/busy.gif" /> Please wait...' });
}

// ************************
// FUNCTION : unwaitMessage
function unwaitMessage()
{
	$(document).ajaxStop($.unblockUI);
	$.unblockUI();
}

// ************************
// FUNCTION : loadMenu
function loadMenu()
{
	if (getIsTelephone())
	{
		$('#appeldirect').show(); 
	}
	else
	{
		$('#appeldirect').hide();
	}
	
	$('#aFaq').bind('tap',function(event, ui){
			$.mobile.allowCrossDomainPages = true;
			//waitMessage();
	 		if (getlangue()=='fr')
				$.mobile.changePage('faq_fr.html', {reverse: true,});
			else if (getlangue()=='de')
				$.mobile.changePage('faq_de.html', {reverse: true,});
			else
				$.mobile.changePage('faq_en.html', {reverse: true,});
	});

	if (getConnected()) // Connect
	{
		$('#btLogout').bind('tap',function(event, ui){
		  clearConnection();
			location.reload();
		});
		
		$('#btLogin').hide();
		$('#btLogout').show();


		$('#aMesFacture').bind('tap',function(event, ui){
			 	$.mobile.changePage($("#pageListFact"), {reverse: false,});
			});
			
		if (getNbCas() == 1)
		{
			$('#aMaRecup').bind('tap',function(event, ui){
			 	saveIDCas(getLastCas());
			 	$.mobile.changePage($("#pageDetailSupport"), {reverse: false,});
			});
			
			$('#maRecup').show();
			$('#mesRecup').hide();
		}
		else
		{
			$('#aMesRecup').bind('tap',function(event, ui){
			 	$.mobile.changePage($("#pageListCas"), {reverse: false,});
			});
			
			$('#maRecup').hide();	
			$('#mesRecup').show();
		}
	}
	else // Non connect
	{
		$('#aMesRecup').bind('tap',function(event, ui){
				$.mobile.changePage( $('#pageLogin'), {transition: "slidedown",reverse: false,});
		});
		
		$('#btLogin').bind('tap',function(event, ui){
		 $.mobile.changePage( $('#pageLogin'), {transition: "slidedown"});
		});
		
		$('#aMesFacture').bind('tap',function(event, ui){
			 	$.mobile.changePage( $('#pageLogin'), {transition: "slidedown",reverse: false,});
		});
		
		$('#btLogin').show();
		$('#btLogout').hide();
		
		$('#mesRecup').show();
		$('#maRecup').hide();
	}
	
	//unwaitMessage();
}

// ************************
// FUNCTION : openAll
function openAll()
{
	//waitMessage(); 
	var url = genRequestURL(ACTION_DETALL,getIdCas());
	waitMessage();
	$.ajax({
     		url:url,
		     dataType: 'jsonp',
		     jsonpCallback: 'jsonCallback',
		     contentType: "application/json",
		     complete: function(){
	            unwaitMessage();
          },
		     success:function(json){
		        if (json.resultat.result == "erreur" || json.resultat.result == "nocas")
						{
							$.mobile.changePage( $("#onErrChargement"), {transition: "slidedown",reverse: false,});
						}
						else
						{
							$('#detail_support').val(json.resultat.support);
							$('#detail_marque').val(json.resultat.marque);
							$('#detail_modele').val(json.resultat.modele);
							$('#detail_numserie').val(json.resultat.numserie);
							$('#detail_capacite').val(json.resultat.capacite);
							$('#detail_domm_physique').val(json.resultat.physique);
							$('#detail_domm_electronique').val(json.resultat.electronique);
							$('#detail_domm_firmware').val(json.resultat.firmware);
							$('#detail_autresinfos').val(json.resultat.autres);
							$('#detail_pronostic').val(json.resultat.pronostic);
							$('#detail_taille_support').val(json.resultat.taille);
							$('#detail_sect_copie').val(json.resultat.nbsecteurs);
							$('#detail_sect_erreurs').val(json.resultat.nberreurs);
							$('#detail_sect_pourcent').val(json.resultat.pourcentage);
							
							//***********************
							if (json.resultat.allphotos.length == 0)
							{
								$('div.gallerycontentPasResult').show();
							}
							else
							{
								$('div.gallerycontentPasResult').hide();
								var url_gen = "http://extranet.sos-data-recovery.ch/android.aspx?action=view_photo&";
								var url_vignette = "user="+getUser()+"&password="+getPassword()+"&param=vignette:"+getIdCas()+":";
							
								var str= [];
								var ind = 0;
								$.each(json.resultat.allphotos, function() 
								{
									str[str.length] = '<a href="#imgDetailShowPhoto" data-transition="pop" onclick="openDialogPhoto($(this))"';
		              if (ind==0)
		              {
		              	 str[str.length] = 'class="first" ';
		              }
		              else if (ind == json.resultat.allphotos.length-1)
		              {
		              	str[str.length] = 'class="last" ';
		              }
			          	str[str.length] = 'style="padding-right:10px;"><img src="';
			          	str[str.length] = url_gen;
			          	str[str.length] = url_vignette;
			          	str[str.length] = this.filename;
			          	str[str.length] = '"/></a>';
			            ind++;
			          });
			          $('div.gallerycontent').html(str.join(''));
							}
							
							//***********************
							$('#listStatut').empty();
							if (json.resultat.allstatus.length != 0)
							{
								var res = "";
								$.each(json.resultat.allstatus, function() 
								{
			                  //var ref = this.ref;
			                  res = res + '<div><h3 style="padding:0px;margin:0px;font-size:medium">'+this.titre+'</h3></div>';
			                  res = res + '<div style="font-size:x-small">'+this.date+'</div>';
			                  res = res + '<div style="margin-bottom:10px;font-size:small">'+this.description+'</div>';
			          });
			            
			          $('div.divStatut').html(res);
			        }
			        
		        }
		     },
		     error:function(){
		         //alert("Error");
		     },
		});
}

// ************************
// FUNCTION : openAnalyse
function openAnalyse()
{
	var url = genRequestURL(ACTION_DETDIAGNOSTIQUE,getIdCas());
	waitMessage();
	$.ajax({
     		url:url,
		     dataType: 'html',
		     complete: function(){
	            unwaitMessage();
          },
		     success:function(data){
		        if (data != undefined)
				{
					$('div.analyseResult').html(data);
					$('div.analysePasResult').hide();
				}
				else 
				{
					$('div.analysePasResult').show();
				}
		        
		     },
		     error:function(){
		         //alert("Error");
		     },
		});
		unwaitMessage();
}

// ************************
// FUNCTION : openDialogPhoto
function openDialogPhoto(aHref)
{
	var src = aHref.find('img').attr("src").replace('param=vignette','param=photo_android');
	$('#dialogcontent').empty().append('<a href="#gallerypage"><img src="'+ src + '" /></a>' );
	//$('#dialoghead').empty().append('<center><h2>' + alt + '</h2></center>' );
	aHref.addClass('selectedimg');
}

// ************************
// FUNCTION : goNextPhoto
function goNextPhoto() {
	var current = $('a.selectedimg');
	if (current.hasClass('last')) {
	    var next = $('a.first')
	} else {
	    var next = current.next();
	}
	 
	var src = next.find('img').attr("src").replace('param=vignette','param=photo_android');
	//alert(src);
	//var alt = next.find('img').attr("alt");
	next.addClass('selectedimg');
	current.removeClass('selectedimg');
	$('#dialogcontent').empty().append('<a href="#gallerypage"><img src="'+ src + '"/></a>' );
	//$('#dialoghead').empty().append('<center><h2>' + alt + '</h2></center>' );
}

// ************************
// FUNCTION : goPrevPhoto
function goPrevPhoto() {
	var current = $('a.selectedimg');
	if (current.hasClass('first')) {
	    var prev = $('a.last')
	} else {
	    var prev = current.prev();
	}
	var src = prev.find('img').attr("src").replace('param=vignette','param=photo_android');
	//var alt = prev.find('img').attr("alt");
	prev.addClass('selectedimg');
	current.removeClass('selectedimg');
	$('#dialogcontent').empty().append('<a href="#gallerypage"><img src="'+ src + '"/></a>' );
	//$('#dialoghead').empty().append('<center><h2>' + alt + '</h2></center>' );
}